// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/Site.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Site {

  /// <summary>Holder for reflection information generated from telemetry/Site.proto</summary>
  public static partial class SiteReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/Site.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static SiteReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "ChR0ZWxlbWV0cnkvU2l0ZS5wcm90bxIEc2l0ZRofZ29vZ2xlL3Byb3RvYnVm",
            "L3RpbWVzdGFtcC5wcm90byKMAwoEU2l0ZRIdChBzZWxmX2NvbnN1bXB0aW9u",
            "GAEgASgJSACIAQESJwoadG90YWxfc2VsZl9jb25zdW1lZF9lbmVyZ3kYAiAB",
            "KAlIAYgBARIiChV0b3RhbF9wcm9kdWNlZF9lbmVyZ3kYFCABKAlIAogBARIi",
            "ChV0b2RheV9wcm9kdWNlZF9lbmVyZ3kYFSABKAlIA4gBARInChp0aGlzX21v",
            "bnRoX3Byb2R1Y2VkX2VuZXJneRgWIAEoCUgEiAEBEiYKGXRoaXNfeWVhcl9w",
            "cm9kdWNlZF9lbmVyZ3kYFyABKAlIBYgBAUITChFfc2VsZl9jb25zdW1wdGlv",
            "bkIdChtfdG90YWxfc2VsZl9jb25zdW1lZF9lbmVyZ3lCGAoWX3RvdGFsX3By",
            "b2R1Y2VkX2VuZXJneUIYChZfdG9kYXlfcHJvZHVjZWRfZW5lcmd5Qh0KG190",
            "aGlzX21vbnRoX3Byb2R1Y2VkX2VuZXJneUIcChpfdGhpc195ZWFyX3Byb2R1",
            "Y2VkX2VuZXJneUJwChtjb20uY29kaWJseS5tb2RlbC50ZWxlbWV0cnlCCVNp",
            "dGVQcm90b8oCG0RvbWFpbk1vZGVsXFByb3RvXFRlbGVtZXRyeeICJ0RvbWFp",
            "bk1vZGVsXFByb3RvXFRlbGVtZXRyeVxHUEJNZXRhZGF0YWIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Site.Site), global::Site.Site.Parser, new[]{ "SelfConsumption", "TotalSelfConsumedEnergy", "TotalProducedEnergy", "TodayProducedEnergy", "ThisMonthProducedEnergy", "ThisYearProducedEnergy" }, new[]{ "SelfConsumption", "TotalSelfConsumedEnergy", "TotalProducedEnergy", "TodayProducedEnergy", "ThisMonthProducedEnergy", "ThisYearProducedEnergy" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class Site : pb::IMessage<Site>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<Site> _parser = new pb::MessageParser<Site>(() => new Site());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<Site> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Site.SiteReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public Site() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public Site(Site other) : this() {
      selfConsumption_ = other.selfConsumption_;
      totalSelfConsumedEnergy_ = other.totalSelfConsumedEnergy_;
      totalProducedEnergy_ = other.totalProducedEnergy_;
      todayProducedEnergy_ = other.todayProducedEnergy_;
      thisMonthProducedEnergy_ = other.thisMonthProducedEnergy_;
      thisYearProducedEnergy_ = other.thisYearProducedEnergy_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public Site Clone() {
      return new Site(this);
    }

    /// <summary>Field number for the "self_consumption" field.</summary>
    public const int SelfConsumptionFieldNumber = 1;
    private string selfConsumption_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string SelfConsumption {
      get { return selfConsumption_ ?? ""; }
      set {
        selfConsumption_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "self_consumption" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasSelfConsumption {
      get { return selfConsumption_ != null; }
    }
    /// <summary>Clears the value of the "self_consumption" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearSelfConsumption() {
      selfConsumption_ = null;
    }

    /// <summary>Field number for the "total_self_consumed_energy" field.</summary>
    public const int TotalSelfConsumedEnergyFieldNumber = 2;
    private string totalSelfConsumedEnergy_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string TotalSelfConsumedEnergy {
      get { return totalSelfConsumedEnergy_ ?? ""; }
      set {
        totalSelfConsumedEnergy_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "total_self_consumed_energy" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasTotalSelfConsumedEnergy {
      get { return totalSelfConsumedEnergy_ != null; }
    }
    /// <summary>Clears the value of the "total_self_consumed_energy" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearTotalSelfConsumedEnergy() {
      totalSelfConsumedEnergy_ = null;
    }

    /// <summary>Field number for the "total_produced_energy" field.</summary>
    public const int TotalProducedEnergyFieldNumber = 20;
    private string totalProducedEnergy_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string TotalProducedEnergy {
      get { return totalProducedEnergy_ ?? ""; }
      set {
        totalProducedEnergy_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "total_produced_energy" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasTotalProducedEnergy {
      get { return totalProducedEnergy_ != null; }
    }
    /// <summary>Clears the value of the "total_produced_energy" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearTotalProducedEnergy() {
      totalProducedEnergy_ = null;
    }

    /// <summary>Field number for the "today_produced_energy" field.</summary>
    public const int TodayProducedEnergyFieldNumber = 21;
    private string todayProducedEnergy_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string TodayProducedEnergy {
      get { return todayProducedEnergy_ ?? ""; }
      set {
        todayProducedEnergy_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "today_produced_energy" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasTodayProducedEnergy {
      get { return todayProducedEnergy_ != null; }
    }
    /// <summary>Clears the value of the "today_produced_energy" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearTodayProducedEnergy() {
      todayProducedEnergy_ = null;
    }

    /// <summary>Field number for the "this_month_produced_energy" field.</summary>
    public const int ThisMonthProducedEnergyFieldNumber = 22;
    private string thisMonthProducedEnergy_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ThisMonthProducedEnergy {
      get { return thisMonthProducedEnergy_ ?? ""; }
      set {
        thisMonthProducedEnergy_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "this_month_produced_energy" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasThisMonthProducedEnergy {
      get { return thisMonthProducedEnergy_ != null; }
    }
    /// <summary>Clears the value of the "this_month_produced_energy" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearThisMonthProducedEnergy() {
      thisMonthProducedEnergy_ = null;
    }

    /// <summary>Field number for the "this_year_produced_energy" field.</summary>
    public const int ThisYearProducedEnergyFieldNumber = 23;
    private string thisYearProducedEnergy_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ThisYearProducedEnergy {
      get { return thisYearProducedEnergy_ ?? ""; }
      set {
        thisYearProducedEnergy_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "this_year_produced_energy" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasThisYearProducedEnergy {
      get { return thisYearProducedEnergy_ != null; }
    }
    /// <summary>Clears the value of the "this_year_produced_energy" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearThisYearProducedEnergy() {
      thisYearProducedEnergy_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as Site);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(Site other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (SelfConsumption != other.SelfConsumption) return false;
      if (TotalSelfConsumedEnergy != other.TotalSelfConsumedEnergy) return false;
      if (TotalProducedEnergy != other.TotalProducedEnergy) return false;
      if (TodayProducedEnergy != other.TodayProducedEnergy) return false;
      if (ThisMonthProducedEnergy != other.ThisMonthProducedEnergy) return false;
      if (ThisYearProducedEnergy != other.ThisYearProducedEnergy) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasSelfConsumption) hash ^= SelfConsumption.GetHashCode();
      if (HasTotalSelfConsumedEnergy) hash ^= TotalSelfConsumedEnergy.GetHashCode();
      if (HasTotalProducedEnergy) hash ^= TotalProducedEnergy.GetHashCode();
      if (HasTodayProducedEnergy) hash ^= TodayProducedEnergy.GetHashCode();
      if (HasThisMonthProducedEnergy) hash ^= ThisMonthProducedEnergy.GetHashCode();
      if (HasThisYearProducedEnergy) hash ^= ThisYearProducedEnergy.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasSelfConsumption) {
        output.WriteRawTag(10);
        output.WriteString(SelfConsumption);
      }
      if (HasTotalSelfConsumedEnergy) {
        output.WriteRawTag(18);
        output.WriteString(TotalSelfConsumedEnergy);
      }
      if (HasTotalProducedEnergy) {
        output.WriteRawTag(162, 1);
        output.WriteString(TotalProducedEnergy);
      }
      if (HasTodayProducedEnergy) {
        output.WriteRawTag(170, 1);
        output.WriteString(TodayProducedEnergy);
      }
      if (HasThisMonthProducedEnergy) {
        output.WriteRawTag(178, 1);
        output.WriteString(ThisMonthProducedEnergy);
      }
      if (HasThisYearProducedEnergy) {
        output.WriteRawTag(186, 1);
        output.WriteString(ThisYearProducedEnergy);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasSelfConsumption) {
        output.WriteRawTag(10);
        output.WriteString(SelfConsumption);
      }
      if (HasTotalSelfConsumedEnergy) {
        output.WriteRawTag(18);
        output.WriteString(TotalSelfConsumedEnergy);
      }
      if (HasTotalProducedEnergy) {
        output.WriteRawTag(162, 1);
        output.WriteString(TotalProducedEnergy);
      }
      if (HasTodayProducedEnergy) {
        output.WriteRawTag(170, 1);
        output.WriteString(TodayProducedEnergy);
      }
      if (HasThisMonthProducedEnergy) {
        output.WriteRawTag(178, 1);
        output.WriteString(ThisMonthProducedEnergy);
      }
      if (HasThisYearProducedEnergy) {
        output.WriteRawTag(186, 1);
        output.WriteString(ThisYearProducedEnergy);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasSelfConsumption) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(SelfConsumption);
      }
      if (HasTotalSelfConsumedEnergy) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(TotalSelfConsumedEnergy);
      }
      if (HasTotalProducedEnergy) {
        size += 2 + pb::CodedOutputStream.ComputeStringSize(TotalProducedEnergy);
      }
      if (HasTodayProducedEnergy) {
        size += 2 + pb::CodedOutputStream.ComputeStringSize(TodayProducedEnergy);
      }
      if (HasThisMonthProducedEnergy) {
        size += 2 + pb::CodedOutputStream.ComputeStringSize(ThisMonthProducedEnergy);
      }
      if (HasThisYearProducedEnergy) {
        size += 2 + pb::CodedOutputStream.ComputeStringSize(ThisYearProducedEnergy);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(Site other) {
      if (other == null) {
        return;
      }
      if (other.HasSelfConsumption) {
        SelfConsumption = other.SelfConsumption;
      }
      if (other.HasTotalSelfConsumedEnergy) {
        TotalSelfConsumedEnergy = other.TotalSelfConsumedEnergy;
      }
      if (other.HasTotalProducedEnergy) {
        TotalProducedEnergy = other.TotalProducedEnergy;
      }
      if (other.HasTodayProducedEnergy) {
        TodayProducedEnergy = other.TodayProducedEnergy;
      }
      if (other.HasThisMonthProducedEnergy) {
        ThisMonthProducedEnergy = other.ThisMonthProducedEnergy;
      }
      if (other.HasThisYearProducedEnergy) {
        ThisYearProducedEnergy = other.ThisYearProducedEnergy;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            SelfConsumption = input.ReadString();
            break;
          }
          case 18: {
            TotalSelfConsumedEnergy = input.ReadString();
            break;
          }
          case 162: {
            TotalProducedEnergy = input.ReadString();
            break;
          }
          case 170: {
            TodayProducedEnergy = input.ReadString();
            break;
          }
          case 178: {
            ThisMonthProducedEnergy = input.ReadString();
            break;
          }
          case 186: {
            ThisYearProducedEnergy = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            SelfConsumption = input.ReadString();
            break;
          }
          case 18: {
            TotalSelfConsumedEnergy = input.ReadString();
            break;
          }
          case 162: {
            TotalProducedEnergy = input.ReadString();
            break;
          }
          case 170: {
            TodayProducedEnergy = input.ReadString();
            break;
          }
          case 178: {
            ThisMonthProducedEnergy = input.ReadString();
            break;
          }
          case 186: {
            ThisYearProducedEnergy = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
